%define anolis_release 2

Name:           python-cheetah
Version:        3.3.1
Release:        %{anolis_release}%{?dist}
Summary:        Template engine and code generator

License:        MIT
URL:            https://cheetahtemplate.org/
Source0:	https://github.com/CheetahTemplate3/cheetah3/archive/refs/tags/%{version}.tar.gz

Patch0001:	0001-fix-wrong-argument-or-wrong-number-error.patch
Patch0002:	0002-fix-use-temporary-directory-to-avoid-path-issue.patch

BuildRequires:  gcc
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-markdown python3-pygments

%description
Cheetah3 is a free and open source (MIT) Python template engine. 
It's a fork of the original CheetahTemplate library.

%package -n python3-cheetah
Summary: %summary
%{?python_provide:%python_provide python3-cheetah}

%description -n python3-cheetah 
Cheetah3 is a free and open source (MIT) Python template engine.
It's a fork of the original CheetahTemplate library.

%package -n python3-cheetah-doc
Summary:        Documentation files for %{name}
Requires:       python3-cheetah = %{version}-%{release}
BuildArch:      noarch

%description -n python3-cheetah-doc
The python3-cheetah-doc package contains documentation files for python3-cheetah.

%prep
%autosetup -p1 -n cheetah3-%{version}

%build
%py3_build

%install
%py3_install

%check
export PATH="%{buildroot}/%{_bindir}:$PATH"
export PYTHONPATH="%{buildroot}/%{python3_sitearch}"
%{buildroot}/%{_bindir}/cheetah test

%files -n python3-cheetah
%license LICENSE
%{_bindir}/cheetah*
%{python3_sitearch}/Cheetah
%{python3_sitearch}/CT3-*.egg-info

%files -n python3-cheetah-doc
%doc ANNOUNCE.rst README.rst TODO BUGS

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.3.1-2
- Rebuild with python3.11

* Thu May 11 2023 happy_orange <songnannan@linux.alibaba.com> - 3.3.1-1
- init package
